Subject: Re: [Cbe-oss-dev] [PATCH 4/10] spidernet: zero out a pointer.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 23 May 2007 13:23:27 +1000

> Here's a delusional reply: I didn't see any point to it. 
> 1) a wmb would add overhead
> 2) the hardware is supposed to be looking at the status flag,
>    anyway, and not misbehaving.
> 3) there is a wmb when the descr is actually refilled in such
>    a way as to actually mean something to the hardware.
> 
> All that I really acomplished here is a minor trick to 
> aid in debug printing when looking for something bad.

And the whole thing is moot because 0 is actually a perfectly valid DMA
address :-) I suspect spider will end up trying to hit some internal
register or it's PCIe or whatever it has mapped at 0 internally and will
blow up ... At least on spider, it's not RAM there....

Ben.